Notes on the documentation

This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards.
It is essential that the following notes and explanations are followed when installing and commissioning these components.

The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.

Disclaimer

The documentation has been prepared with care. The products described are, however, constantly under development.
For that reason the documentation is not in every case checked for consistency with performance data, standards or other characteristics.
In the event that it contains technical or editorial errors, we retain the right to make alterations at any time and without warning.
No claims for the modification of products that have already been supplied may be made on the basis of the data, diagrams and descriptions in this documentation.

Trademarks

Beckhoff®, TwinCAT®, EtherCAT®, Safety over EtherCAT®, TwinSAFE® and XFC® are registered trademarks of and licensed by Beckhoff Automation GmbH.
Other designations used in this publication may be trademarks whose use by third parties for their own purposes could violate the rights of the owners.

Patent Pending

The TwinCAT Technology is covered, including but not limited to the following patent applications and patents:
EP0851348, US6167425 with corresponding applications or registrations in various other countries.

Copyright

© Beckhoff Automation GmbH & Co. KG, Germany.
The reproduction, distribution and utilization of this document as well as the communication of its contents to others without express authorization are prohibited.
Offenders will be held liable for the payment of damages. All rights reserved in the event of the grant of a patent, utility model or design.


Overview

TwinCAT PLC HMI is a system needed for the execution of visualizations generated in TwinCAT PLC Control.

If a control program contains associated visualisations these are displayed in full screen mode when the TwinCAT PLC HMI is started. The user can operate the control and monitoring functions contained in the underlying project via the mouse or the keyboard. This is possible even if the TwinCAT PLC project file is read-protected. However, the user cannot edit the control program and no menus or toolbars are available, i.e. only pure 'operation' of the visualisation elements is available.
The main control and monitoring functions for a project intended for the operator version therefore have to be associated with the visualisation elements during project creation and operated in online mode. A special input facility is available for this purpose in the configuration dialog for a visualisation element.

By seamlessly integrating the development platform for the visualisation masks into the PLC programming system TwinCAT PLC HMI offers advantages other visualisations simply cannot come up to:

• A tag list of the variables to be used is not needed. It is possible to work directly with the TwinCAT PLC Control variables.

• Variable values in input fields can be modified by expressions (e.g. “Variable1+ Variable2 * 12 + 5”)

• A mighty place-holder concept allows the user to create object-oriented masks.

• The TwinCAT functions “Sampling Trace“ and “read/write recipe“ are also available in TwinCAT PLC HMI.


Installation, Start and Operating

Installation:

TwinCAT PLC HMI is available as supplement and can be installed with the setup. A licence is with costs, a time-limited demo version is not available.

Start:

TwinCAT PLC HMI (TCatPlcCtrlHmi.exe) is started by a connection or a command line:

In each case at least the desired TwinCAT PLC Control project has to be given. If no further parameters are set there, TwinCAT PLC HMI automatically will start with a visualization POU named TC_VISU (if existent in the project) and on that target mode, which was set when the project had been saved last.

Additionally as well the known command line and command file commands (see User Manual TwinCAT PLC Control) as the following special parameter can be used:

/visu <visualization POU>

If the project contains a visualization POU named TC_VISU, it will start automatically with this one. If another POU should be the entrance, it has to be set in the command line with "/visu <name of visualization POU>".

Example for a command line:

C:\TwinCAT\Plc\TCatPlcCtrlHmi.exe D:\PROJECTS\PROJECT.PRO /visu v_firstvisupage

The project project.pro will start with the visualization POU 'v_firstvisupage'. If the visualization should be started automatically with TwinCAT PLC Control, this can be done with a connection in TwinCAT StartUp (All Users) to the 'TCatPlcCtrlHmi.exe' and the named parameters.

Please regard:

Paths containing spaces must be bordered by quotation marks (").

Operating:

The project will start in full screen mode with the entrance POU.

TwinCAT PLC HMI can be operated corresponding to the functions of the visualization elements via keyboard and mouse.

If there is no visualization element configured with a corresponding function, TwinCAT PLC HMI at any time can be terminated by pressing <Alt><F4>.


Feature Overview

TS1800 | TwinCAT PLC HMI

Feature overview of visualisation with TwinCAT

It is shown in this table which possibilities the visualisation offers with TwinCAT.

 | PLC Control | PLC HMI | PLC HMI Web | PLC HMI CE | Comment
Current test version: | Build 1010 | 2.10.0.900 | 1.0.0.7 | 1.0.9.10 | From TwinCAT 2.10 Build 1334
Rectangle |  |  |  |  |
Rounded rectangle |  |  |  |  |
Ellipse |  |  |  |  |
Polygon |  |  |  |  |
Curve |  |  |  |  |
Pie |  |  |  |  |
Bitmap |  |  |  |  |
Visaualisation |  |  |  |  |
Button |  |  |  |  |
WMF/JPG File |  |  |  |  |
Table |  |  |  |  |
ActiveX element |  |  |  |  |
Trend |  |  |  | / | HMI CE: Only online trend is available
Alarm table |  |  |  |  |
Meter |  |  |  |  |
Bar display |  |  |  |  |
Histogram |  |  |  |  |
Invisible elements |  |  |  |  |
Change color |  |  |  |  |
Background bitmap |  |  |  |  |
Button background |  |  |  |  |
Tooltip |  |  |  |  | HMI CE: Elements not too near to the edge or tooltip is outside the window
Security |  |  |  |  |
Placeholder |  |  | / | / | Web/HMI CE: Zoom to visu with placeholders in the zoom command is not possible
Print function |  |  |  |  |
Password change |  |  |  |  |
Change user level |  |  |  |  |
Language dialog |  |  |  |  |
Language automatic change |  |  |  |  |
Exit |  |  |  |  |
Trace |  |  |  |  |
Text input 'Text' |  |  |  |  | Web: Please don't exceed the maximum string length of your variable HMI CE: The hidden function is not supported
Text input 'Numpad' |  |  |  |  | HMI CE: The hidden function is not supported
Text input 'Keypad' |  |  |  |  | Web: Please don't exceed the maximum string length of your variable HMI CE: The hidden function is not supported

Restrictions